This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 408121 - RFE: derive default regional settings from time zone
RFE: derive default regional settings from time zone
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-02 17:51 EST by Ville Skyttä
Modified: 2008-01-02 12:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 09:18:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-12-02 17:51:03 EST
Anaconda asks for a time zone during installation, I think it'd be nice to
derive KDE's default "Country or region" setting from this info where possible,
eg. Europe/Helsinki -> Finland.
Comment 1 Lukáš Tinkl 2008-01-02 09:18:40 EST
I'm sorry but AFAIK there is no way one could deduce the country from the 
timezone info
Comment 2 Kevin Kofler 2008-01-02 09:58:46 EST
Well, in principle we have at least one tzdata entry per country. However, that 
assumes the user actually enters e.g. Europe/Vienna for Austria and not 
Europe/Berlin or some other city which happens to be in the same timezone, so 
I'm not sure it's a good idea to rely on it.
Comment 3 Ville Skyttä 2008-01-02 12:20:37 EST
It's certainly possible to find out a country from a $Continent/$City tuple, all
it needs is a lookup table somewhere that maps those tuples to countries.  And
even if it cannot be made 100% correct in all cases (and even though in some
cases no guesses could actually be made at all, eg. when the chosen time zone is
not in the $Continent/$City format), I do think that a best effort guess would
be an improvement over the current situation.

The case in comment 2 can of course happen, but I don't think it'd be a blocker.
 But... *shrug*.

Note You need to log in before you can comment on or make changes to this bug.